//
//  TRTimeIntervalControl.h
//  Tryst
//
//  Created by Francisco Tolmasky on Sun Apr 11 2004.
//  Copyright (c) 2004 __MyCompanyName__. All rights reserved.
//

#import <AppKit/AppKit.h>


@interface TRTimeIntervalControl : NSControl
{
	NSTimeInterval		timeInterval;
	
	NSTextFieldCell		*hoursCell;
	NSTextFieldCell		*minutesCell;
	
	NSStepper			*stepper;
	
	struct
	{
		NSRect			hours;
		NSRect			minutes;
	}					bounds;

	struct
	{
		NSTextFieldCell *cell;
		NSRect			bounds;
	}					editing;
	
	id					target;
	SEL					action;
}

- (void)setTimeInterval:(NSTimeInterval)aTimeInterval;
- (NSTimeInterval)timeInterval;

- (IBAction)takeTimeIntervalFrom:(id)sender;

@end
