//
//  TRMovieFileView.h
//  Tryst
//
//  Created by Francisco Tolmasky on Mon Mar 08 2004.
//  Copyright (c) 2004 __MyCompanyName__. All rights reserved.
//

#import <AppKit/AppKit.h>


@class  TRMutableMovie,
		TRMovieInspector,
		TRRolloverButton;

@interface TRMovieFileView : NSView
{	
	TRMovieInspector	*movieInspector;
	
	// Model
	TRMutableMovie		*model;

	// View
	TRRolloverButton	*revealButton;

	struct
	{
		//BOOL			editable;
		BOOL			dragging;
	} flags;
}

- (void)setModel:(TRMutableMovie *)aModel;
- (TRMutableMovie *)model;

- (void)setMovieInspector:(TRMovieInspector *)aMovieInspector;
- (TRMovieInspector *)movieInspector;

- (void)updateModelWithFilePath:(NSString *)aPath;

@end
